| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_RNDIS_Host_t Struct Reference
RNDIS Class Host Mode Driver

## Detailed Description

RNDIS Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the RNDIS class driver functions as the `RNDISInterfaceInfo` parameter. This stores each RNDIS interface's configuration and state information.

Definition at line 72 of file RNDISClassHost.h.

`#include "RNDISClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
bool DataINPipeDoubleBank
uint8_t DataOUTPipeNumber
bool DataOUTPipeDoubleBank
uint8_t NotificationPipeNumber
bool NotificationPipeDoubleBank
uint32_t HostMaxPacketSize
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t ControlInterfaceNumber
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
uint16_t NotificationPipeSize
uint32_t DeviceMaxPacketSize
uint32_t RequestID
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t ControlInterfaceNumber

Interface index of the RNDIS control interface within the attached device.

Definition at line 97 of file RNDISClassHost.h.

bool DataINPipeDoubleBank

Indicates if the RNDIS interface's IN data pipe should use double banking.

Definition at line 77 of file RNDISClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the RNDIS interface's IN data pipe.

Definition at line 76 of file RNDISClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the RNDIS interface's IN data pipe.

Definition at line 99 of file RNDISClassHost.h.

bool DataOUTPipeDoubleBank

Indicates if the RNDIS interface's OUT data pipe should use double banking.

Definition at line 80 of file RNDISClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the RNDIS interface's OUT data pipe.

Definition at line 79 of file RNDISClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the RNDIS interface's OUT data pipe.

Definition at line 100 of file RNDISClassHost.h.

uint32_t DeviceMaxPacketSize

Maximum size of a packet which can be buffered by the attached RNDIS device.

Definition at line 103 of file RNDISClassHost.h.

uint32_t HostMaxPacketSize

Maximum size of a packet which can be buffered by the host.

Definition at line 85 of file RNDISClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after RNDIS_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 93 of file RNDISClassHost.h.

bool NotificationPipeDoubleBank

Indicates if the RNDIS interface's notification pipe should use double banking.

Definition at line 83 of file RNDISClassHost.h.

uint8_t NotificationPipeNumber

Pipe number of the RNDIS interface's IN notification endpoint, if used.

Definition at line 82 of file RNDISClassHost.h.

uint16_t NotificationPipeSize

Size in bytes of the RNDIS interface's IN notification pipe, if used.

Definition at line 101 of file RNDISClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 86 of file RNDISClassHost.h.

uint32_t RequestID

Request ID counter to give a unique ID for each command/response pair.

Definition at line 105 of file RNDISClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/RNDISClassHost.h